@font-face {
 font-family: "Norse";
 src: url("../fonts/Norse.otf");
}

@font-face {
 font-family: "NorseBold";
 src: url("../fonts/Norsebold.otf");
}

@font-face {
 font-family: "Vergur";
 src: url("../fonts/Vegur-Yg1a.otf");
}

@font-face {
 font-family: "baarSophia";
 src: url("../fonts/BAARS___.TTF");
}

html,body{
	width: 100%;
    height: 100%;
        margin: 30px 0 0 0;
}

body{
	background-color: #000;
    background-attachment: fixed;
	background-image: url("../img/backgroundGen.jpg");
	background-size: 100% 100%;
	background-repeat: no-repeat;
	font-family: "Vergur";
        display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: flex-start;
    justify-content: center;
    align-items: center;
}

#maps{
    display: none;
}


div.zoomMapsContainer{
    width: 90%;
}

img.zoomMaps {
    width: 100%;
    margin: 50px 0 0 0;
    display: block;
}

#mainContainer{
	width: 90%;
	/*margin: 20px auto;*/
	color: #fff;
	overflow: visible;
}

.viewContainer{
	width: 100%;
}

.textCenter{
	text-align: center;
    display: flex;
    flex-direction: column;
    align-content: center;
    align-items: center;
}

.baseBlock{
	width: 100%;
	/*padding: 10px;*/
}

.borderBase{
	border: thin solid #fff;	
}

h1,h2,h3, .talentName{
    background: url("../img/goldTexture2.jpg") no-repeat center center;
     background-size: cover;

     -webkit-text-fill-color: transparent;
     -webkit-background-clip: text;
     -moz-background-clip:text;
     background-clip:text; 
	font-family: "NorseBold";
	color:#fff;
    
}

h2{
    font-size: 2.5em;
}



/*.buttonBase{
	    font-family: "NorseBold";
    color: #fff;
    text-align: center;
    border-radius: 10px;
    text-decoration: none;
    display: flex;
    justify-content: center;
    align-items: baseline;
    background-image: url(../img/buttonBg.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100% auto;
    width: 200px;
    height: 45px;
    font-size: 1.3em;
    cursor: pointer;
    margin-top: 10px;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
        border: none;
}*/

.buttonBase{
    font-family: "NorseBold";
    color: #fff;
    background-color: #000;
    text-align: center;
    border-radius: 10px;
    text-decoration: none;
    display: flex;
    justify-content: center;
    align-items: baseline;
    width: 200px;
    height: 45px;
    font-size: 1.3em;
    cursor: pointer;
    margin-top: 10px;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    border: none;

    -webkit-box-shadow: 2px 2px 4px 2px #ebbd60, -2px -2px 4px 2px #ebbd60;
    box-shadow: 1px 1px 3px 1px #ebbd60, -1px -1px 3px 1px #ebbd60;


}

.buttonBase span{
    background: url("../img/goldTexture2.jpg") no-repeat center center;
     background-size: cover;

     -webkit-text-fill-color: transparent;
     -webkit-background-clip: text;
     -moz-background-clip:text;
     background-clip:text; 
    font-family: "NorseBold";
    pointer-events: none;


}

.buttonDownloads{
        width: 300px;
    font-size: 0.8em;
}

.buttonBack, #talentCloseButtonContainer {
    border: none;
    box-shadow: none;
    background: url("../img/goldTexture2.jpg") no-repeat center center;
     background-size: cover;
     -webkit-text-fill-color: transparent;
     -webkit-background-clip: text;
     -moz-background-clip:text;
     background-clip:text; 
    color: #ebbd60;
    text-decoration: none;
    margin: 5px;
    font-size: 1.7em;
    position: fixed;
    top: 20px;
    left: 0;
    width: auto;
    border-radius: unset;
}

.buttonBack i{
    pointer-events: none;
}



.buttonMainMenu, a.poolListLink.buttonBase, a.armyListLink.buttonBase{
	width: 300px;
}

a#armySaveButton {
    margin-top: 95px;
}

/*#topMenuButtonLinkCollection{
	margin-top: 75px;
}*/

/*.buttonBase:active{
	-webkit-box-shadow: 0px 0px 15px 6px #FFE594; 
box-shadow: 0px 0px 15px 6px #FFE594;
}*/

.separator{
	margin: 20px 0 20px 0;
	    width: 80%;
}

input[type=text],input[type=password],input[type=email],input[type=date],input[type=number]
{
	width: 300px;
    background-color: #FFF!important;
    height: 50px;
    /* padding-left: 26px; */
    border-radius: 10px;
    margin: 10px;
    text-align: center;
    font-size: 1.3em;
    font-family: 'baarSophia';
}

form{
	display: flex;
    flex-direction: column;
    align-content: center;
    justify-content: center;
    align-items: center;
}

.titleGen{
	    width: 80%;
}

.overFlowContainer{
	overflow-y: scroll;
}

div#collectionContainer {
    display: flex;
    flex-direction: column;
        width: 90%;
}

.addonContainer {
    display: flex;
    position: relative;
    margin-bottom: 25px;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: space-between;
    align-items: center;
        flex-direction: column;
}

.addonImg {
    width: 50%;
    height: auto;
    overflow: hidden;
}

.addonImg img {
    width: 100%;
    border-radius: 10px;
}

.addonItem {
    margin: 20px;
}

.addonImg h3 {
    margin: 0;
}

.blocWithBgGen {
    background-color: #000;
    padding: 7px;
    /* border-radius: 10px; */
   /* border: outset 5px #686868;*/
    -webkit-box-shadow: 2px 2px 4px 2px #ebbd60, -2px -2px 4px 2px #ebbd60;
    box-shadow: 1px 1px 3px 1px #ebbd60, -1px -1px 3px 1px #ebbd60;
   border-radius: 10px;
    
    
}

.gamePointsNbrContainer{
	display: flex;
    flex-direction: row;
    margin-top: 10px;
}

#pointsNbr{
    width: 60px;
}


.gameItemContainer {
    margin-top: 25px;
    padding: 5px;
    width: 200px;
    height: 230px;
}

.gameItemDraftStatusDisabled {
    font-weight: bold;
    color: #ffa876;
}

.gameItemDraftStatusEnabled {
    font-weight: bold;
    color: #78ff76;
}

.gameItemImg {
    width: 100%;
}

.gameItemImg img {
    width: 50%;
}

.gameDetailContainer {
    width: 95%;
    min-height: 150px;
    padding: 5px;
}

div#gameDetailUnitsList {
    /* display: flex; */
    width: 100%;
    flex-direction: row;
    justify-content: center;
}



.selectUnit, .selectUnitPool {
    width: 20%;
    display: inline-block;
    border-radius: 10px;
    overflow: hidden;
    margin: 1%;
}

.selectUnitPool.selected{
    -webkit-box-shadow: 2px 2px 8px 2px #ebbd60, -2px -2px 8px 2px #EBBD60; 
    box-shadow: 2px 2px 8px 2px #ebbd60, -2px -2px 8px 2px #EBBD60;
    -webkit-transition: -webkit-box-shadow 0.8s;
    transition: box-shadow 0.8s;

}

.selectUnit img, .selectUnitPool img {
    width: 100%;
}


#gameDetailChoiceButtonContainer {
    display: flex;
    text-align: center;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

#gameDetailChoiceTxt{
    position: absolute;
    font-family: "Norsebold";
    font-size: 2em;
}


@keyframes fadeIn {
  from {
    opacity: 0;
  }
}

div#loadingScreen, #talentBg {
    position: fixed;
    z-index: 40;
    background-color: rgba(0,0,0,1.0);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display:flex;
    justify-content: center;
    align-items: center;
}

.talentContainer {
    margin: 20px 0 0 0;
    padding: 30px 30px 30px 30px;
    background-color: #000;
    border-radius: 10px; 
       /* border: outset 5px #686868;*/
       -webkit-box-shadow: 2px 2px 4px 2px #ebbd60, -2px -2px 4px 2px #ebbd60;
    box-shadow: 1px 1px 3px 1px #ebbd60, -1px -1px 3px 1px #ebbd60;
        border-radius: 10px;
}

.talentTxtTip{
    margin-bottom: 10px;
}

#talentBg{
    display: none;
}

.talentContainer{
    display: none;
}

.talentName{
    font-size: 1.5em;
    margin-bottom: 15px
}

.talentDesc{
    color: #FFF;
}

.talentContainer {
    width: 50%;
}

div#talentsList {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: flex-start;
    align-items: center;
    overflow-y: scroll;
    height: 89%;
    padding-bottom: 20px;
}

div#skullContainer {
    width: 75%;
}

.skullLoading {
    animation: fadeIn 0.5s infinite alternate;
    font-family: "NorseBold";
    color: #FFF;
    font-size: 3.5em;
    text-align: center;
    margin-top: 45px;
}

div#skullContainer img {
    width: 100%;
}

.selectUnit:hover{
    cursor: pointer;
}

.unit_fiche{
    display: none;
    background-color: rgba(0,0,0,0.8);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    flex-direction: column;
    align-content: center;
    justify-content: center;
    align-items: center;
}

.unit_fiche img{
    height: 45%;  
    image-rendering: -webkit-optimize-contrast;
}

.unit_fiche_Pantheon_Troops img, .unit_fiche_Ragnarok_Troops img {
    max-width: 80%;
    height: auto;
}

#poolChoiceButtonContainer,#gameEmail2Container,#gameEmail3Container, #poolInfosContainer{
    display: none;
}

.playerContainer {
    /* border: thin solid #fff; */
    background-color: #000;
    display: flex;
    flex-direction: column;
    align-content: center;
    justify-content: center;
    align-items: center;
    /*border: outset 5px #686868;*/
    -webkit-box-shadow: 2px 2px 4px 2px #ebbd60, -2px -2px 4px 2px #ebbd60;
    box-shadow: 1px 1px 3px 1px #ebbd60, -1px -1px 3px 1px #ebbd60;
    border-radius: 10px;
    font-family: 'baarSophia';
        font-size: 1.4em;
    color: #FFF;
   
        margin-top: 25px;
        padding: 10px;
        text-align: center;
}

.playerContainer.IsDrafting{
    /*border: thin solid #0F0;*/
}

.playerUnitsContainer img {
    width: 20%;
    margin-left: 10px;
    margin-bottom: 10px;
}

.reservedUnit img{
    opacity: 0.4;
    -webkit-filter: grayscale(100%);
    -moz-filter:    grayscale(100%);
    -ms-filter:     grayscale(100%);
    -o-filter:      grayscale(100%);
}

#disconnectLinkContainer{
    position: fixed;
    top: 0;
    right: 0;
    z-index: 20;
    background: url("../img/goldTexture2.jpg") no-repeat center center;
     background-size: cover;
     -webkit-text-fill-color: transparent;
     -webkit-background-clip: text;
     -moz-background-clip:text;
     background-clip:text; 
}

#notifsContainer,#errorConnectContainer{
    display: none;
    background-color: rgba(0,0,0,0.7);
    color: #fff;
    overflow-y: scroll;
    position: absolute;
    top: 0;
    left: 0;
        width: 90%;
    height: 90%;
    z-index: 30;
    padding: 10%;
    text-align: center;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}

a#disconnectLink {
    color: #ebbd60;
    text-decoration: none;
    margin: 5px;
    font-size: 1.7em;
}

.gameBigItemContainter {
    margin: 20px 0 0 0;
    padding: 10px 30px 10px 30px;
    background-color: #000;
    border-radius: 10px; 
       /* border: outset 5px #686868;*/
       -webkit-box-shadow: 2px 2px 4px 2px #ebbd60, -2px -2px 4px 2px #ebbd60;
    box-shadow: 1px 1px 3px 1px #ebbd60, -1px -1px 3px 1px #ebbd60;
        border-radius: 10px;
}

.gameItemName, .gameItemDate, .gameItemPlayersNbr, .gameItemDraftStatus, .gameDelButton {
    font-family: 'baarSophia';    
    color: #FFF;
    /* background-color: #666; */
    /*text-shadow: 0px 1px 0px rgb(255 255 255 / 50%);*/
}

.gameItemName{
    font-size: 2.5em;
    margin-bottom: 10px;
    font-family: 'NorseBold'; 
}

.gameDelButton {
    text-decoration: none;
    margin-top: 20px;
    display: block;
    color: #ff5858;
    font-size: 1.3em;
    font-family: 'NorseBold'; 
}

.gemStoneOnlineStatus{
    width: 20px;
}

.playerUnitsContainer {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}

div#gameDisplay {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}


#gameDisplayUnitFiche {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}

div#gameDisplayUnitFicheImgContainer {
    display: flex;
    width: 100%;
    height: 90%;
    flex-direction: column;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}



.playerName, .playerPoints, .playerUnitsContainer, .draftButtonTxt, .draftButtonContainer {
    margin-top: 10px;
}

#playersList{
    margin-top: 45px;
    margin-bottom: 45px;
}

.playerContainer.IsDrafting .playerName{
    margin-top: 0px;
}

.playerUnitsContainer{
    margin-bottom: 10px;
}

.playerContainer.IsDrafting .playerUnitsContainer{
    margin-bottom: 0px;
}

.buttonChoixDraft, .buttonChoixDraftSkip{
    margin-bottom: 20px;    
}

.buttonChoixDraftForHim {
    font-size: 0.8em;
}

#doubleUnitPassContainer
{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}

.goldLogos{
    text-align: center;
    margin:15px 0 15px 0;
}

.goldlogoTop{
    margin: 20px 0px 0px 0px;
}

.goldlogoBottom{
    margin: 0px 0px 20px 0px;
}

.goldLogos img, .goldLogos2 img{
    width: auto;
    height: 10px;
    
}

.playerContainer .goldLogos{
    display: none;
}

.playerContainer.IsDrafting .goldLogos{
    display: block;
    
}

.poolSwitchContainer {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
    margin-bottom: 20px;
    /*margin-top: -20px;*/
}

span.translateCommonDen.translate {
    margin-left: 15px;
    font-family: 'baarSophia';
}

div#gameUnitsList {
    text-align: center;
}

#gamePointsAvailContainerTotal{
    margin-top: 10px;
}

.unitTitle{
    font-size: 1.2em;
}

.unitTitle:before{ 
  content:url("../img/goldLogo3.png") ;
  margin-right: 30px;
}

.unitTitle:after{ 
  content:url("../img/goldLogo3.png") ;
  margin-left: 30px;
}


.fixedBottom {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
    text-align: center;
    margin-top: 30px;
}

div#poolChoiceButtonContainer {
    margin: 20px;
}

.ios-segmented-control .option label span{
    font-family: 'baarSophia';
}

.playerPoints {
    font-weight: bold;
    color: #ebbc60;
}

.notSubscribedContainer {
    font-size: 0.7em;
    color: #ebbc60;
}

.draftInProgress{
     color: #ebbc60;
 }

 .draftFinished{
    color: #5c5c5c;
 }

 .poolListLinkContainer, .armyListLinkContainer {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}

a.poolDel, a.armyDel {
    margin-left: 25px;
    font-size: 2.5em;
    text-decoration: none;
    color: #F00;
}

a.poolEdit, a.armyEdit {
    margin-left: 25px;
    font-size: 2.5em;
    text-decoration: none;
    color: #FFF;
}

div#armyPoints, #armyViewPoints {
    position: fixed;
    top: 20px;
    font-size: 1.8em;
    font-family: "NorseBold";
    color: #fff;
    width: 250px;
    height: 50px;
    background-color: #000;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    border-radius: 10px;
    border: thin solid #FFF;
}

span#armyPointsValue {
    color: #ebbd60;
}

div#gameRandomPoolChoiceContainer {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}

#gameRandomPoolChoiceContainer
{
    display: none;
    margin: 15px 0 15px 0;
}

.randomPoolSelectContainer {
    width: 95px;
}

div#gameMapsList {
    /* margin: 28px; */
    margin-top: 100px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}

.gamePoolListLinkContainer {
    margin-top: 100px;
}

div#noGamePoolDiv {
    margin-top: 100px;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}

.poolInfoName{
    color:#ebbc60;
}

.game_unit_fiche_buttons {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: space-between;
    align-items: center;
        width: 60%;
}

.game_unit_fiche_buttons a.buttonBase {
    width: 120px;
}

div#topMenu {
    height: 95%;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: space-between;
    align-items: center;
}

div#lang-container, #lang-container-login, #lang-container-subscribe, #lang-container-lost {
    display: flex;
    flex-direction: row;
    align-content: center;
    justify-content: space-between;
    align-items: center;
    width: 60%;
}

#lang-container-login, #lang-container-subscribe, #lang-container-lost{
    width: 100%;
    justify-content: center;
}

#lang-container-login .lang-button, #lang-container-subscribe .lang-button, #lang-container-lost .lang-button{
    margin-right: 20px;
}

.lang-button {
    width: 120px;
}

.privacyLink{
    color: #FFF;
}

div#poolUniverseSegmented, #unitsSegmented, #armyUniverseSegmented {
    margin-top: 10px;
}


@media only screen and (min-width : 1224px) {

    div.zoomMapsContainer{
        width: 45%;
    }

    .buttonBase{
        font-size: 1.6em;
    }

    div#lang-container{
        max-width: 300px;
    }

    .titleGen {
        width: 80%;
        max-width: 545px;
        margin-top: 50px;
    }

    div#topMenu{
        max-height: 700px;
    }

    div#skullContainer {
        max-width: 500px;
    }

    div#collectionContainer{
        flex-direction: row;
        flex-wrap: wrap;
    }

    .addonImg img {
        width: 100%;
    }

    .addonImg h3 {
        font-size: 1.8em;
        margin-top: 20px;
    }

    .selectUnit, .selectUnitPool {
        width: 20vh;
        max-width: 140px;
    }

    .buttonBack, #talentCloseButtonContainer{
        height: auto;
        font-size: 3.7em;
    }



    a#disconnectLink {
        font-size: 3.7em;
        height: auto;
    }

    div#gameMapsList{
        width: 50%;
        max-width: 600px;
    }


    .game_unit_fiche_buttons
    {
        max-width: 400px;
    }

    .playerContainer{
        width: 600px;
        min-height: 285px;
        justify-content: flex-start;
    }

    .playerUnitsContainer{
        width: 500px;
    }

    .playerUnitsContainer img {
        width: 30%;
    }

    .addonContainer {
        width: 24%;
    }

    .unit_fiche_Troops img {
        max-width: 1088px;       
    }




}